Due to a recent update on Javascript code a full page refresh on your browser might be needed.
Bug 1266202 - [RFE] Tech Preview of BlueStore
Summary: [RFE] Tech Preview of BlueStore
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Ceph Storage
Classification: Red Hat
Component: RADOS
Version: 1.3.0
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: rc
: 2.0
Assignee: Sage Weil
QA Contact: shylesh
Bara Ancincova
URL:
Whiteboard:
Depends On:
Blocks: 1322504 1494421
TreeView+ depends on / blocked
 
Reported: 2015-09-24 18:38 UTC by Neil Levine
Modified: 2017-11-23 07:14 UTC (History)
9 users (show)

Fixed In Version:
Doc Type: Technology Preview
Doc Text:
.OSD BlueStore BlueStore is a new back end for the OSD daemons that allows for storing objects directly on the block devices. Because BlueStore does not need any file system interface, it improves performance of Ceph Storage Clusters. To learn more about the BlueStore OSD back end, see the https://access.redhat.com/documentation/en-us/red_hat_ceph_storage/3/html-single/administration_guide/#osd-bluestore[OSD BlueStore (Technology Preview)] chapter in the Administration Guide.
Clone Of:
Environment:
Last Closed: 2016-08-23 19:27:48 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHBA-2016:1755 normal SHIPPED_LIVE Red Hat Ceph Storage 2.0 bug fix and enhancement update 2016-08-23 23:23:52 UTC

Description Neil Levine 2015-09-24 18:38:00 UTC
Ceph currently works with 3 types of backing store: FileStore (the default implementation which interacts with the filesystem, MemStore (mainly for performance testing) and the experimental key/value store (for use with RocksDB, LevelDB, Kinetic etc).

NewStore seeks to replace these all with a higher-performance general-purpose backend store which will mitigate the need for a journal (by using LevelDB for journalling). The speed improvements should benefit RGW, RBD and improve performance with SSDs/Flash etc

Comment 5 Sage Weil 2016-06-16 12:30:39 UTC
I made a few edits to the google doc.  Otherwise looks ok!

Comment 15 errata-xmlrpc 2016-08-23 19:27:48 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHBA-2016:1755


Note You need to log in before you can comment on or make changes to this bug.